Summary: The finger client
Name: finger
Version: 0.17
Release: 39%{?dist}
License: BSD
Group: Applications/Internet
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/bsd-finger-%{version}.tar.gz
Source1: finger-xinetd
Patch1: bsd-finger-0.16-pts.patch
Patch2: bsd-finger-0.17-exact.patch
Patch3: bsd-finger-0.16-allocbroken.patch
Patch4: bsd-finger-0.17-rfc742.patch
Patch5: bsd-finger-0.17-time.patch
Patch6: bsd-finger-0.17-usagi-ipv6.patch
Patch7: bsd-finger-0.17-typo.patch
Patch8: bsd-finger-0.17-strip.patch
Patch9: bsd-finger-0.17-utmp.patch
Patch10: bsd-finger-wide-char-support5.patch
Patch11: bsd-finger-0.17-init-realname.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glibc-devel

%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger package includes a standard
finger client.

You should install finger if you'd like to retrieve finger information
from other systems.

%package server
Summary: The finger daemon
Group: System Environment/Daemons
Requires: xinetd

%description server
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger-server package includes a standard
finger server. The server daemon (fingerd) runs from /etc/inetd.conf,
which must be modified to disable finger requests.

You should install finger-server if your system is used by multiple users
and you'd like finger information to be available.

%prep
%setup -q -n bsd-finger-%{version}
%patch1 -p1 -b .pts
%patch2 -p1 -b .exact
%patch3 -p1
%patch4 -p1 -b .rfc742
%patch5 -p1 -b .time
%patch6 -p1 -b .ipv6
%patch7 -p1 -b .typo
%patch8 -p1 -b .strip
%patch9 -p1 -b .utmp
%patch10 -p1 -b .widechar
%patch11 -p1 

%build
sh configure --enable-ipv6
perl -pi -e '
	s,^CC=.*$,CC=cc,;
	s,-O2,-fPIC \$(RPM_OPT_FLAGS),;
	s,^BINDIR=.*$,BINDIR=%{_bindir},;
	s,^MANDIR=.*$,MANDIR=%{_mandir},;
	s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
	s,^LDFLAGS=.*$,LDFLAGS=-pie,;
	' MCONFIG

make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

mkdir -p ${RPM_BUILD_ROOT}/etc/xinetd.d
install -m 644 %SOURCE1 ${RPM_BUILD_ROOT}/etc/xinetd.d/finger

make INSTALLROOT=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(0755,root,root)	%{_bindir}/finger
%{_mandir}/man1/finger.1*

%files server
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/finger
%attr(0755,root,root)	%{_sbindir}/in.fingerd
%{_mandir}/man8/in.fingerd.8*
%{_mandir}/man8/fingerd.8*


%changelog

